function tol = getDpr1Tols()
% Return a struct of the default tolerance values for the dpr1 codes.
%
% =========================================================================
% |  getDpr1Tols.m                                                        |
% |  Copyright (C) 2020 Matea Ugrica                                      |
% |                                                                       |
% |  This program is free software: you can redistribute it and/or modify |
% |  it under the terms of the GNU Affero General Public License as       |
% |  published by the Free Software Foundation, either version 3 of       |
% |  the License, or (at your option) any later version.                  |
% |                                                                       |
% |  This program is distributed in the hope that it will be useful,      |
% |  but WITHOUT ANY WARRANTY; without even the implied warranty of       |
% |  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
% |  GNU Affero General Public License for more details.                  |
% |                                                                       |
% |  You should have received a copy of the GNU Affero General Public     |
% |  License along with this program.  If not, see                        |
% |  <http://www.gnu.org/licenses/agpl.html>.                             |
% =========================================================================
    
    tol.rank          = 1e-10;   % tolerance for rank
    tol.rq_org        = 1e-19;   % tolerance for Rayleigh quotient (original)
    tol.rq            = 1e-14;   % tolerance for Rayleigh quotient
    tol.zero_elem     = 1e-9;    % Old tolerance for "zero" element related to matrix B
    tol.zero          = 1e-16;   % New tolerance for "zero" elements
    tol.dze           = 1e-12;   % tolerance for rank of diag matrix
    tol.real_eig      = 1e-15;   % NEW: determining whether a shift is real or complex
    tol.flag_smw_dpr1 = 0;       % determining whether we use SMW formula for refining eigenvectors in each dpr1eig call
    tol.flag_smw_all  = 1;       % determining whether we use SMW formula for refining eigenvectors after dpr1eigmulti call
end