function s = getErrorStats(errs,label_str,suppress_printing)
%
% =========================================================================
% |  getErrorStats.m                                                      |
% |                                                                       |
% |  This program is free software: you can redistribute it and/or modify |
% |  it under the terms of the GNU Affero General Public License as       |
% |  published by the Free Software Foundation, either version 3 of       |
% |  the License, or (at your option) any later version.                  |
% |                                                                       |
% |  This program is distributed in the hope that it will be useful,      |
% |  but WITHOUT ANY WARRANTY; without even the implied warranty of       |
% |  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
% |  GNU Affero General Public License for more details.                  |
% |                                                                       |
% |  You should have received a copy of the GNU Affero General Public     |
% |  License along with this program.  If not, see                        |
% |  <http://www.gnu.org/licenses/agpl.html>.                             |
% =========================================================================

    [s.max,s.idx_max]   = max(errs);
    [s.min,s.idx_min]   = min(errs);
    s.mean              = mean(errs);
    s.median            = median(errs);
    
    if nargin > 2 && suppress_printing
        return
    end
    
    fprintf('\n\n%s relative difference:\n',label_str);
    fprintf('    Max:    %g (%d)\n',s.max,s.idx_max(1));
    fprintf('    Min:    %g (%d)\n',s.min,s.idx_min(1));
    fprintf('    Avg:    %g\n',s.mean);
    fprintf('    Med:    %g\n',s.median);
    fprintf('Above numbers in () indicate which eigenvalue/eigenpair.\n');

end