function h = plotScaling(data)
%
% =========================================================================
% |  plotScaling.m                                                        |
% |                                                                       |
% |  This program is free software: you can redistribute it and/or modify |
% |  it under the terms of the GNU Affero General Public License as       |
% |  published by the Free Software Foundation, either version 3 of       |
% |  the License, or (at your option) any later version.                  |
% |                                                                       |
% |  This program is distributed in the hope that it will be useful,      |
% |  but WITHOUT ANY WARRANTY; without even the implied warranty of       |
% |  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
% |  GNU Affero General Public License for more details.                  |
% |                                                                       |
% |  You should have received a copy of the GNU Affero General Public     |
% |  License along with this program.  If not, see                        |
% |  <http://www.gnu.org/licenses/agpl.html>.                             |
% =========================================================================

    lw = 'LineWidth';
    
    n = data.n_vals;
    t = data.times;
    
    c = lines(4);
    
    h = figure;
    hold on
    grid on
    
    plot(n,t.polyeig,'+-.',lw,2,'color',c(3,:));
    plot(n,t.quadeig,'*--',lw,2,'color',c(4,:));
    plot(n,t.eig_off,'o:',lw,2,'color',c(2,:));
    plot(n,t.eig_on,'o-',lw,2,'color',c(2,:));
    plot(n,t.dpr1_off,'x:',lw,2,'color',c(1,:));
    plot(n,t.dpr1_on,'x-',lw,2,'color',c(1,:));

    legend({'\texttt{polyeig}','\texttt{quadeig}','\texttt{eig($A$)} (offline)','\texttt{eig($A$)} (online)','Alg. 2 (offline)','Alg. 2 (online)'},...
            'Interpreter','latex','FontSize',18,...
            'location','northwest');
    xlabel('System dimension $n$', 'interpreter', 'latex');
    ylabel('Time in seconds', 'interpreter', 'latex');
    
    axis square
    largerTicks();
    xlim([min(n) max(n)]);
    xticks(n);
    tightFigure();
end