function printSummary(d)
%
% =========================================================================
% |  printSummary.m                                                       |
% |                                                                       |
% |  This program is free software: you can redistribute it and/or modify |
% |  it under the terms of the GNU Affero General Public License as       |
% |  published by the Free Software Foundation, either version 3 of       |
% |  the License, or (at your option) any later version.                  |
% |                                                                       |
% |  This program is distributed in the hope that it will be useful,      |
% |  but WITHOUT ANY WARRANTY; without even the implied warranty of       |
% |  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
% |  GNU Affero General Public License for more details.                  |
% |                                                                       |
% |  You should have received a copy of the GNU Affero General Public     |
% |  License along with this program.  If not, see                        |
% |  <http://www.gnu.org/licenses/agpl.html>.                             |
% =========================================================================

    fprintf('\nSUMMARY --- APPROACH %d, ALPHA = %e:\n',d.approach,d.alpha);
 
    fprintf('Spectral abscissa tolerance:\n');
    fprintf('  tol_sa = %.4f\n',d.tol_sa);
    
    fprintf('Spectral abscissa:\n');
    sa_none = max(real(d.z_none));
    sa_init = max(real(d.z_x0));
    sa_opt  = max(real(d.z_opt));
    fprintf('  v_zero %8.5e\n',sa_none);
    fprintf('  v_init %8.5e\n',sa_init);
    fprintf('  v_opt  %8.5e\n',sa_opt);
    
    fprintf('Optimized viscosities:\n');
    arrayfun(@(v) fprintf('  %.4e\n',v),d.v_opt);
    
    if d.approach == 2
        fprintf('Semi-major axis values:\n');
        arrayfun(@(v) fprintf('  %.4e\n',v),d.a);
    end
    
    fprintf('Running time (seconds):\n');
    fprintf('  Offline: %10.2f\n',d.t_off);
    fprintf('  Online:  %10.2f\n',d.t_on);
    fprintf('\n\n');
end
