function makeAllPlots(dscal,dopt,varargin)
% Makes all the plots shown in the figure from experimental data from
% Provide true as the third input argument to save all the plots as eps
% files.
%
% >> [dscal,dopt] = runAll();
%
% =========================================================================
% |  makeAllPlots.m                                                       |
% |                                                                       |
% |  This program is free software: you can redistribute it and/or modify |
% |  it under the terms of the GNU Affero General Public License as       |
% |  published by the Free Software Foundation, either version 3 of       |
% |  the License, or (at your option) any later version.                  |
% |                                                                       |
% |  This program is distributed in the hope that it will be useful,      |
% |  but WITHOUT ANY WARRANTY; without even the implied warranty of       |
% |  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
% |  GNU Affero General Public License for more details.                  |
% |                                                                       |
% |  You should have received a copy of the GNU Affero General Public     |
% |  License along with this program.  If not, see                        |
% |  <http://www.gnu.org/licenses/agpl.html>.                             |
% =========================================================================
    
    fprintf('Making eigensolver plots ... ');
    makeErrorPlots(dscal,varargin{:});
    makeScalingPlots(dscal,varargin{:});
    fprintf('Done\n');

    fprintf('Making optimized spectrum plots ... ');
    makeSpecPlots(dopt,varargin{:});
    fprintf('Done\n');
   
end