function [dscal,dopt] = runAll()
% Run all the experiments in the paper and save the results as .mat files. 
%
% >> [dscal,dopt] = runAll()
% 
% =========================================================================
% |  runAll.m                                                             |
% |                                                                       |
% |  This program is free software: you can redistribute it and/or modify |
% |  it under the terms of the GNU Affero General Public License as       |
% |  published by the Free Software Foundation, either version 3 of       |
% |  the License, or (at your option) any later version.                  |
% |                                                                       |
% |  This program is distributed in the hope that it will be useful,      |
% |  but WITHOUT ANY WARRANTY; without even the implied warranty of       |
% |  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
% |  GNU Affero General Public License for more details.                  |
% |                                                                       |
% |  You should have received a copy of the GNU Affero General Public     |
% |  License along with this program.  If not, see                        |
% |  <http://www.gnu.org/licenses/agpl.html>.                             |
% =========================================================================
    
    warning off
    
    % Run all the experiments and make all the plots
    t_start = tic();
    diary console.txt
        
    % Run the DPR1 eigenvalue solver experiments
    dscal = runAllScaling();
    save dscal.mat dscal
    
    % Run the viscosities optimization experiments 
    dopt  = runAllOpt();
    save dopt.mat dopt
    
    toc(t_start)
    diary off
   
end
